> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List inbound Instagram

> Shows inbound Instagram — replies or customer messages.



## OpenAPI

````yaml /en/instagram-api/api-reference/openapi-instagram.json get /v1/instagram/messages/inbound
openapi: 3.0.3
info:
  title: Notifique API — Instagram
  version: 1.0.0
  description: >-
    Send Instagram DMs and manage connections. Authenticate with `Authorization:
    Bearer sk_live_...` or `x-api-key`.
servers:
  - url: https://api.notifique.dev
    description: Production
security:
  - ntfIgBearerAuth: []
  - ntfIgApiKeyHeader: []
tags:
  - name: 'Instagram: instances'
    description: Criar, listar, desconectar e remover conexões Instagram.
  - name: 'Instagram: messages'
    description: Enviar, listar, editar, cancelar, apagar e inbound.
  - name: 'Instagram: comments'
    description: Listr, responder e moderar comentários.
  - name: 'Instagram: media'
    description: Recent account posts and media (automation triggers).
paths:
  /v1/instagram/messages/inbound:
    get:
      tags:
        - 'Instagram: mensagens'
      summary: List inbound Instagram
      description: Shows inbound Instagram — replies or customer messages.
      operationId: ntfIg_listInbound
      responses:
        '200':
          description: List inbound.
          content:
            application/json:
              example:
                success: true
                data:
                  - id: inb_abc
                    instanceId: inst_abc
                    from: '17841400000000000'
                    username: cliente
                    type: TEXT
                    text: Oi
                    receivedAt: '2026-07-20T12:01:00.000Z'
                meta:
                  page: 1
                  limit: 20
                  total: 1
              schema:
                $ref: '#/components/schemas/ntfIg_ListInboundResponse'
        '403':
          description: Sem escopo instagram:read.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfIg_ErrorResponse'
              example:
                success: false
                error: Bad Request
                code: VALIDATION_ERROR
                message: Campo inválido ou ausente.
components:
  schemas:
    ntfIg_ListInboundResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                example: inb_abc
              instanceId:
                type: string
                example: inst_abc
              from:
                type: string
                example: '17841400000000000'
              username:
                type: string
                example: cliente
              type:
                type: string
                example: TEXT
              text:
                type: string
                example: Oi
              receivedAt:
                type: string
                example: '2026-07-20T12:01:00.000Z'
          example:
            - id: inb_abc
              instanceId: inst_abc
              from: '17841400000000000'
              username: cliente
              type: TEXT
              text: Oi
              receivedAt: '2026-07-20T12:01:00.000Z'
        meta:
          type: object
          properties:
            page:
              type: integer
              example: 1
            limit:
              type: integer
              example: 20
            total:
              type: integer
              example: 1
      example:
        success: true
        data:
          - id: inb_abc
            instanceId: inst_abc
            from: '17841400000000000'
            username: cliente
            type: TEXT
            text: Oi
            receivedAt: '2026-07-20T12:01:00.000Z'
        meta:
          page: 1
          limit: 20
          total: 1
    NtfIg_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: true
        data:
          type: object
          additionalProperties: true
          properties:
            id:
              type: string
              example: inst_abc
            status:
              type: string
              example: PENDING
            active:
              type: boolean
              example: true
            dailyLimit:
              type: integer
              example: 15
            sentToday:
              type: integer
              example: 15
            daysRemaining:
              type: integer
              example: 4
        retryAfterSec:
          type: integer
          description: >-
            Segundos até poder tentar de novo (presente em 429 de cooldown/abuse
            pause).
      example:
        success: false
        error: string
        message: string
        code: string
        details: {}
        data: {}
        retryAfterSec: 1
  securitySchemes:
    ntfIgBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_live_...'
    ntfIgApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````